<?php
/* @var $this PersonController */
/* @var $model Person */
/* @var $form CActiveForm */
?>

<?php
$form = $this->beginWidget('ext.bootstrap.widgets.TbActiveForm', array(
            'action' => Yii::app()->createUrl($this->route),
            'method' => 'get',
        ));


echo $form->textFieldRow($model, 'number', array('size' => 60, 'maxlength' => 255));

echo $form->textFieldRow($model, 'name', array('size' => 60, 'maxlength' => 255));

echo $form->textFieldRow($model, 'alias', array('size' => 60, 'maxlength' => 255));

echo $form->dropDownListRow($model,'type_id',CHtml::listData(PersonType::getAll("Active"), 'id', 'name'),array('empty' => Yii::t('default','Select Person Type')));

echo $form->textFieldRow($model, 'mobile', array('size' => 60, 'maxlength' => 255));

echo $form->textFieldRow($model, 'email', array('size' => 60, 'maxlength' => 255));

echo $form->textFieldRow($model, 'manager', array('size' => 45, 'maxlength' => 45));

echo $form->dropDownListRow($model,'department_id',CHtml::listData(Department::getAll("Active"), 'id', 'name'),array('empty' => Yii::t('default','Select Department')));

echo $form->radioButtonListInlineRow($model, 'is_manager', array('1' => Yii::t('default', 'Yes'), '0' => Yii::t('default', 'No')));

echo $form->radioButtonListInlineRow($model, 'is_food_manager', array('1' => Yii::t('default', 'Yes'), '0' => Yii::t('default', 'No')));

echo $form->radioButtonListInlineRow($model, 'receive_emails', array('1' => Yii::t('default', 'Yes'), '0' => Yii::t('default', 'No')));

echo $form->dropDownListRow($model, 'status', array('Active' => Yii::t('default', 'Active')
    , 'On Leave' => Yii::t('default', 'On Leave')
    , 'Terminated' => Yii::t('default', 'Terminated')
    , 'Resigned' => Yii::t('default', 'Resigned')
    , 'Transferred' => Yii::t('default', 'Transferred')
    , 'Inactive' => Yii::t('default', 'Inactive')
    ), array('empty' => 'Select Status'));
?>



<div class="actions">
<?php echo CHtml::submitButton(Yii::t('default', 'Search'), array('class' => 'btn primary')); ?>
</div>


<?php $this->endWidget(); ?>
